<?php


return  
    [
        'model' => [
            'model' => \Metropolitan\Booking\Models\Booking::class,
            'table' => 'metropolitan_booking_bookings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['agent',  'name',  'mobile',  'email',  'price',  'payment_method',  'user_type',  'user_id',  'status'],
            'translatables' => [],
            'upload_folder' => 'booking/booking',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "agent" => [
                "key" => "agent", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.agent', 
                "placeholder" => 'booking::booking.placeholder.agent', 
            ],
            "name" => [
                "key" => "name", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.name', 
                "placeholder" => 'booking::booking.placeholder.name', 
            ],
            "mobile" => [
                "key" => "mobile", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.mobile', 
                "placeholder" => 'booking::booking.placeholder.mobile', 
            ],
            "email" => [
                "key" => "email", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.email', 
                "placeholder" => 'booking::booking.placeholder.email', 
            ],
            "price" => [
                "key" => "price", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.price', 
                "placeholder" => 'booking::booking.placeholder.price', 
            ],
            "payment_method" => [
                "key" => "payment_method", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'booking::booking.label.payment_method', 
                "placeholder" => 'booking::booking.placeholder.payment_method', 
            ],
        ],

        'list' => [
            
        ],

        'form' => [
            [
                "key" => 'slug',
                "element" => 'text',
                "type" => 'text',
                "label" => 'booking::booking.label.slug',
                "placeholder" => 'booking::booking.placeholder.slug',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'booking::booking.label.status',
                "placeholder" => 'booking::booking.placeholder.status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'booking/booking/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'booking/booking/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'booking/booking',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'booking/booking',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'booking/booking',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'booking/booking',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'booking::booking.label.created_at',
            'name' => 'booking::booking.label.name',
            'status' => 'booking::booking.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "booking::booking.groups.main",
                'group' => "main.main",
                'title' => "booking::booking.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "booking::booking.groups.details",
                'group' => "main.details",
                'title' => "booking::booking.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "booking::booking.groups.images",
                'group' => "main.images",
                'title' => "booking::booking.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "booking::booking.groups.settings",
                'group' => "main.settings",
                'title' => "booking::booking.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Metropolitan',
            'package' => 'Booking',
            'module' => 'Booking',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'booking::booking.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['booking.booking.copy', 'booking.booking.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'booking::booking.label.count',
                        "placeholder" => 'booking::booking.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'booking::booking.label.comment',
                        "placeholder" => 'booking::booking.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'booking::booking.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'booking::booking.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
