<?php

namespace Metropolitan\Booking\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Metropolitan\Booking\Models\Booking;

class BookingAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Booking $booking,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
